You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@bigtop.apache.org by ma...@apache.org on 2014/01/17 03:20:02 UTC

git commit: BIGTOP-1183. Rename spark package to spark-core

Updated Branches:
  refs/heads/master 72555595c -> 9138ca51f


BIGTOP-1183. Rename spark package to spark-core


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/9138ca51
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/9138ca51
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/9138ca51

Branch: refs/heads/master
Commit: 9138ca51f565a571c52687afdd24e5017f2aca41
Parents: 7255559
Author: Mark Grover <ma...@apache.org>
Authored: Thu Jan 16 18:19:28 2014 -0800
Committer: Mark Grover <ma...@apache.org>
Committed: Thu Jan 16 18:19:28 2014 -0800

----------------------------------------------------------------------
 bigtop-packages/src/deb/spark/control           |  8 ++---
 bigtop-packages/src/deb/spark/rules             |  2 +-
 .../src/deb/spark/spark-core.postinst           | 34 ++++++++++++++++++
 bigtop-packages/src/deb/spark/spark-core.prerm  | 38 ++++++++++++++++++++
 bigtop-packages/src/deb/spark/spark.postinst    | 34 ------------------
 bigtop-packages/src/deb/spark/spark.prerm       | 38 --------------------
 bigtop-packages/src/rpm/spark/SPECS/spark.spec  | 36 +++++++++----------
 bigtop.mk                                       |  2 +-
 8 files changed, 96 insertions(+), 96 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/control b/bigtop-packages/src/deb/spark/control
index ecb0333..fc61489 100644
--- a/bigtop-packages/src/deb/spark/control
+++ b/bigtop-packages/src/deb/spark/control
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-Source: spark
+Source: spark-core
 Section: misc
 Priority: extra
 Maintainer: Bigtop <de...@bigtop.apache.org>
@@ -21,7 +21,7 @@ Build-Depends: debhelper (>= 6)
 Standards-Version: 3.8.0
 Homepage: http://spark.incubator.apache.org/
 
-Package: spark
+Package: spark-core
 Architecture: all
 Depends: bigtop-utils
 Description: Lightning-Fast Cluster Computing
@@ -33,12 +33,12 @@ Description: Lightning-Fast Cluster Computing
 
 Package: spark-master
 Architecture: all
-Depends: spark (= ${source:Version})
+Depends: spark-core (= ${source:Version})
 Description: Server for Spark master
  Server for Spark master
 
 Package: spark-worker
 Architecture: all
-Depends: spark (= ${source:Version})
+Depends: spark-core (= ${source:Version})
 Description: Server for Spark worker
  Server for Spark worker

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/rules
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/rules b/bigtop-packages/src/deb/spark/rules
index 2944c81..bd0ad6b 100644
--- a/bigtop-packages/src/deb/spark/rules
+++ b/bigtop-packages/src/deb/spark/rules
@@ -40,4 +40,4 @@ override_dh_auto_install: $(svcs)
 	  --build-dir=`pwd` \
           --doc-dir=/usr/share/doc/spark \
           --source-dir=debian \
-	  --prefix=debian/spark
+	  --prefix=debian/spark-core

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/spark-core.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/spark-core.postinst b/bigtop-packages/src/deb/spark/spark-core.postinst
new file mode 100644
index 0000000..6133296
--- /dev/null
+++ b/bigtop-packages/src/deb/spark/spark-core.postinst
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    configure)
+        # Install config alternatives
+        update-alternatives  --install /etc/spark/conf spark-conf /etc/spark/conf.dist 30
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/spark-core.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/spark-core.prerm b/bigtop-packages/src/deb/spark/spark-core.prerm
new file mode 100644
index 0000000..8c40b7a
--- /dev/null
+++ b/bigtop-packages/src/deb/spark/spark-core.prerm
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+      update-alternatives --remove spark-conf /etc/spark/conf.dist || :
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/spark.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/spark.postinst b/bigtop-packages/src/deb/spark/spark.postinst
deleted file mode 100644
index 6133296..0000000
--- a/bigtop-packages/src/deb/spark/spark.postinst
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/bash
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -e
-
-case "$1" in
-    configure)
-        # Install config alternatives
-        update-alternatives  --install /etc/spark/conf spark-conf /etc/spark/conf.dist 30
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/deb/spark/spark.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/spark/spark.prerm b/bigtop-packages/src/deb/spark/spark.prerm
deleted file mode 100644
index 8c40b7a..0000000
--- a/bigtop-packages/src/deb/spark/spark.prerm
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -e
-
-case "$1" in
-    remove|upgrade|deconfigure)
-      update-alternatives --remove spark-conf /etc/spark/conf.dist || :
-    ;;
-
-    failed-upgrade)
-    ;;
-
-    *)
-        echo "prerm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop-packages/src/rpm/spark/SPECS/spark.spec
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/rpm/spark/SPECS/spark.spec b/bigtop-packages/src/rpm/spark/SPECS/spark.spec
index a846ed1..a8db290 100644
--- a/bigtop-packages/src/rpm/spark/SPECS/spark.spec
+++ b/bigtop-packages/src/rpm/spark/SPECS/spark.spec
@@ -36,7 +36,7 @@
 # disable repacking jars
 %define __os_install_post %{nil}
 
-Name: spark
+Name: spark-core
 Version: %{spark_version}
 Release: %{spark_release}
 Summary: Lightning-Fast Cluster Computing
@@ -45,9 +45,9 @@ Group: Development/Libraries
 BuildArch: noarch
 Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 License: ASL 2.0 
-Source0: %{name}-%{spark_base_version}.tar.gz
+Source0: %{spark_name}-%{spark_base_version}.tar.gz
 Source1: do-component-build 
-Source2: install_%{name}.sh
+Source2: install_%{spark_name}.sh
 Source3: spark-master.svc
 Source4: spark-worker.svc
 Requires: bigtop-utils
@@ -78,7 +78,7 @@ Spark runs on top of the Apache Mesos cluster manager.
 %package master
 Summary: Server for Spark master
 Group: Development/Libraries
-Requires: spark = %{version}-%{release}
+Requires: spark-core = %{version}-%{release}
 
 %description master 
 Server for Spark master
@@ -86,13 +86,13 @@ Server for Spark master
 %package worker
 Summary: Server for Spark worker
 Group: Development/Libraries
-Requires: spark = %{version}-%{release}
+Requires: spark-core = %{version}-%{release}
 
 %description worker 
 Server for Spark worker
     
 %prep
-%setup -n %{name}-%{spark_base_version}
+%setup -n %{spark_name}-%{spark_base_version}
 
 %build
 bash $RPM_SOURCE_DIR/do-component-build
@@ -100,10 +100,10 @@ bash $RPM_SOURCE_DIR/do-component-build
 %install
 %__rm -rf $RPM_BUILD_ROOT
 %__install -d -m 0755 $RPM_BUILD_ROOT/%{bin_spark}/
-%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/lib/%{name}/
-%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/log/%{name}/
-%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/run/%{name}/
-%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/run/%{name}/work/
+%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/lib/%{spark_name}/
+%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/log/%{spark_name}/
+%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/run/%{spark_name}/
+%__install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/run/%{spark_name}/work/
 %__install -d -m 0755 $RPM_BUILD_ROOT/%{initd_dir}/
 
 sh $RPM_SOURCE_DIR/install_spark.sh \
@@ -115,7 +115,7 @@ sh $RPM_SOURCE_DIR/install_spark.sh \
 for service in %{spark_services}
 do
     # Install init script
-    init_file=$RPM_BUILD_ROOT/%{initd_dir}/%{name}-${service}
+    init_file=$RPM_BUILD_ROOT/%{initd_dir}/%{spark_name}-${service}
     bash $RPM_SOURCE_DIR/init.d.tmpl $RPM_SOURCE_DIR/spark-${service}.svc rpm $init_file
 done
 
@@ -132,9 +132,9 @@ if [ "$1" = 0 ]; then
 fi
 
 for service in %{spark_services}; do
-  /sbin/service %{name}-${service} status > /dev/null 2>&1
+  /sbin/service %{spark_name}-${service} status > /dev/null 2>&1
   if [ $? -eq 0 ]; then
-    /sbin/service %{name}-${service} stop > /dev/null 2>&1
+    /sbin/service %{spark_name}-${service} stop > /dev/null 2>&1
   fi
 done
 
@@ -156,18 +156,18 @@ done
 
 %define service_macro() \
 %files %1 \
-%attr(0755,root,root)/%{initd_dir}/%{name}-%1 \
+%attr(0755,root,root)/%{initd_dir}/%{spark_name}-%1 \
 %post %1 \
-chkconfig --add %{name}-%1 \
+chkconfig --add %{spark_name}-%1 \
 \
 %preun %1 \
 if [ $1 = 0 ] ; then \
-        service %{name}-%1 stop > /dev/null 2>&1 \
-        chkconfig --del %{name}-%1 \
+        service %{spark_name}-%1 stop > /dev/null 2>&1 \
+        chkconfig --del %{spark_name}-%1 \
 fi \
 %postun %1 \
 if [ $1 -ge 1 ]; then \
-        service %{name}-%1 condrestart >/dev/null 2>&1 \
+        service %{spark_name}-%1 condrestart >/dev/null 2>&1 \
 fi
 %service_macro master
 %service_macro worker

http://git-wip-us.apache.org/repos/asf/bigtop/blob/9138ca51/bigtop.mk
----------------------------------------------------------------------
diff --git a/bigtop.mk b/bigtop.mk
index afed229..36bd415 100644
--- a/bigtop.mk
+++ b/bigtop.mk
@@ -225,7 +225,7 @@ $(eval $(call PACKAGE,crunch,CRUNCH))
 # Spark 
 SPARK_NAME=spark
 SPARK_RELNOTES_NAME=Spark
-SPARK_PKG_NAME=spark
+SPARK_PKG_NAME=spark-core
 SPARK_BASE_VERSION=0.8.0-incubating
 SPARK_PKG_VERSION=0.8.0
 SPARK_RELEASE_VERSION=1